package manager

type RoomManagerOption func(manager *RoomManager)

func WithDefaultRoom(metas []RoomMeta) RoomManagerOption {
	return func(manager *RoomManager) {
		for _, meta := range metas {
			manager.CreateRoom(meta.ID, meta.GameType, meta.IsDefault)
		}
	}
}
