package pb

// common通用消息路由

const (
	PushCoinChanged  = "user.coin.change"
	PushCheckIn      = "user.checkIn"
	PushDrawGiftPack = "user.giftPack"
	PushBuyGoods     = "user.buy"
	PushUserQuery    = "user.query"
	PushDanmaku      = "live.danmaku"
	PushGift         = "live.gift.common"
	PushGiftNobility = "live.gift.nobility"
)

// zhg

const (
	PushZhgJoinGame     = "game.join"
	PushZhgCreateUnit   = "game.createUnit"
	PushZhgMove         = "game.move"
	PushZhgOutbreak     = "game.outbreak"
	PushZhgOutbreakFood = "game.outbreak.food"
	PushZhgWhere        = "game.wai"
	PushZhgMode         = "game.mode"
	PushZhgChangeElite  = "game.change.elite"
	PushZhgChangeTitle  = "game.change.title"
	PushZhgBuyFood      = "game.buy.food"
	PushZhgRankSubmit   = "game.rank.submit"
)

// zhgzd
const (
	PushZhgzdJoinGame   = "game.join"
	PushZhgzdChangeUnit = "game.unit.change"
	PushZhgzdMove       = "game.line"
	PushZhgzdPosition   = "game.pos"
	PushZhgzdOutbreak   = "game.outbreak"
	PushZhgzdDispatch   = "game.unit.dispatch"
	PushZhgzdWhere      = "game.where"
	PushZhgzdMode       = "game.mode"
)

// zhgww2
const (
	PushZhgww2JoinGame   = "game.join"
	PushZhgww2ChangeUnit = "game.unit.change"
	PushZhgww2Attack     = "game.attack"

	PushZhgww2RestoreHealth   = "game.restoreHealth"
	PushZhgww2SupportSkill    = "game.support.skill"
	PushZhgww2ChargeTank      = "game.chargeTank"
	PushZhgww2SupportSpecial  = "game.support.special"
	PushZhgww2SupportAirdrop  = "game.support.airdrop"
	PushZhgww2Reborn          = "game.reborn"
	PushZhgww2Overtime        = "game.control.overtime"
	PushZhgww2BecomeCommander = "game.become.commander"
)

// zhgmang
const (
	PushZhgmangJoinGame = "game.join"
	PushZhgmangAddUnit  = "game.c"
	PushZhgmangWai      = "game.w"
	PushZhgmangGou      = "game.gou"
	PushZhgmangRua      = "game.rua"

	PushZhgmangLevelUp      = "game.levelUp"
	PushZhgmangGoldSpeedUp  = "game.goldSpeedUp"
	PushZhgmangClearScreen  = "game.clearScreen"
	PushZhgmangRandomAddon  = "game.randomAddon"
	PushZhgmangRedPackAddon = "game.redPackAddon"
)
